> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiingestbiometrictimelog



## OpenAPI

````yaml /api-reference/openapi.json post /api/ingest/biometric/timelog
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/ingest/biometric/timelog:
    post:
      operationId: postApiIngestBiometricTimelog
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                serial:
                  type: string
                  minLength: 1
                deviceUid:
                  anyOf:
                    - type: string
                    - type: 'null'
                terminalType:
                  type: string
                  minLength: 1
                terminalId:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                transId:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                at:
                  type: string
                  format: date-time
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                terminalUserId:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                attendStat:
                  type: string
                verifyMode:
                  type: string
                photoBase64:
                  anyOf:
                    - type: string
                    - type: 'null'
              required:
                - serial
                - terminalType
                - terminalId
                - transId
                - at
                - terminalUserId
                - attendStat
                - verifyMode
      responses:
        '200':
          description: Success
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````